/*
 * Cosinus.C
 *
 *  Created on: Nov 29, 2010
 *      Author: Tobias Brosch
 */

#include <string>
#include <cmath>
#include "Cosinus.h"

extern "C" Function* constructcos() {
	return new Cosinus();
}

std::string Cosinus::get_name() const {
	return "cos";
}

double Cosinus::execute(double x) const {
	return std::cos(x);
}
