/*
 * Sinus.C
 *
 *  Created on: Nov 29, 2010
 *      Author: Tobias Brosch
 */

#include <cmath>
#include "Sinus.h"

extern "C" Function* constructsin() {
	return new Sinus();
}

std::string Sinus::get_name() const {
	return "sin";
}

double Sinus::execute(double x) const {
	return std::sin(x);
}
