/*
 * Exp.C
 *
 *  Created on: Nov 29, 2010
 *      Author: Tobias Brosch
 */

#include <string>
#include <cmath>
#include "Exp.h"

extern "C" Function* constructexp() {
	return new Exp();
}

std::string Exp::get_name() const {
	return "exp";
}

double Exp::execute(double x) const {
	return std::exp(x);
}
